CensusPlus

Addons
238,422 Downloads Last Updated: Jan 17, 2020 Game Version: 8.3.0  

File Details

Filename CensusPlus-V6.1.0a-_Toc_50400.zip
Uploaded by left2hand4dark
Uploaded Sep 10, 2013
Game Version 5.4.0  
Size 512.24 KB
Downloads 1,462
MD5 3491c6ab3918b755edf0b16b560054e7
Supported WoW Versions
5.4.0

Changelog

6.1.0a - minor fix to stop Lua error popup .. Blizzard returns unexpected nil on local realm GetUnit call. causing Lua error. protection code added for this edge condition.
   Error impacted mouseover or targeted census... standard census not impacted.. and dismissing the error popup allowed 6.1.0 code to continue working.

6.1.0 - 09/10/2013   -- required update if you are submitting data to www.Warcraftrealms.com.
-- Siege of Orgrimmar patch 5.4
-- reworked much of the code to be able to handle 'Connected realms' .. and when Blizzard flips the switch, to effectively census multiple old realms in a single run
-- We now must track the realm information for Guilds (home/creation realm) instead of assuming it is the local realm, this is what triggered the mandatory update.
-- Blizzard hasn't been explicitly clear on how they are handling Connected realms... so some coding  for in game display hasn't been completed.. no way to test ..
--        an update of CensusPlus is in the works for release when Blizzard flips the switch and gives us some data to work against.
    
-- Modified /Census serverprune  to /Census serverprune X  making it somewhat the inverse of existing /census Prune X
--     Prune X  where X is the number of days you want to keep for the current realms data.
--     Serverprune X where X is the number of days of data you want to keep on all other realms other then the one you are currently on (which is left untouched)
--      the default for Prune if no number entered is X = 30 days
--      the default for Serverprune if no number entered is X = 0 days

EU realm users... should not attempt to use this code before they get the Siege of Orgrimmar patch as it uses API calls that don't exist in the live 5.3 version and the addon will error out.